Download it now!
Bug 131975 - Wrong "Undo: Data Input" (.uno:RecUndo) icon For RTL UI in all icon themes
Summary: Wrong "Undo: Data Input" (.uno:RecUndo) icon For RTL UI in all icon themes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-04-08 05:04 UTC by Rizal Muttaqin
Modified: 2020-04-19 08:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Compare the Undo: Data Input with regular Undo, it's flipped (23.13 KB, image/png)
2020-04-08 05:04 UTC, Rizal Muttaqin
Details
Sifr RTL UI for Undo:Data Input button got appropiate icon (16.32 KB, image/png)
2020-04-19 08:34 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-04-08 05:04:42 UTC
Created attachment 159407 [details]
Compare the Undo: Data Input with regular Undo, it's flipped

Icon for Undo: Data Input use regular undo instead of flipped version in RTL UI

Step to reproduce:

1. Change UI to RTL language (Arabic, Hebre, Persian or Urdu)
2. Open Writer > Ctrl +Shift + F4, go to one of Table of a database, eg biblio table in Bibliography database, click cell in Author
3. Look at Undo: Data Input icon, the sixth icon from the right
Comment 1 Commit Notification 2020-04-08 13:15:50 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab751b456d334464b01ae6a6b25ebfd1f8e2fc91

All icons: fix for tdf#131975, Breeze, Sifr fix for tdf#131974

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-04-09 05:15:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5b56db7dcf471dc837fc05e92636579ef80a205c

Colibre: Fix for tdf#131974 & tdf#131975

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-04-09 08:24:36 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab4522548179651c55edbe7ee19cc90658d68634

Sukapura: fix for tdf#131975 "Undo: Data Input" (.uno:RecUndo) in RTL UI

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-04-09 08:24:46 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0bcf63e91f97ded939f8c818a80c992bf0e1018c

All icons: fix for tdf#131975, Breeze, Sifr fix for tdf#131974

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-10 14:21:13 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/baa18b4b4c7d94589a9d2aeac6e62f79103c0f16

Colibre: Fix for tdf#131974 & tdf#131975

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Rizal Muttaqin 2020-04-19 08:34:37 UTC
Created attachment 159693 [details]
Sifr RTL UI for Undo:Data Input button got appropiate icon

Verified fixed

Version: 7.0.0.0.alpha0+Build ID: 1289ef10406e00d0fc9abc5bca444d026ab21743CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-04-16_09:37:58Locale: id-ID (id_ID.UTF-8); UI-Language: ar-SACalc: threaded